---
layout: docs
page_title: roles set-grants - Command
description: >-
  The "roles set-grants" command sets the complete set of grants on an existing role resource.
---

# roles set-grants

Command: `roles set-grants`

The `roles set-grants` command lets you set the complete set of grants on a role.
You can specify multiple grants per role.

## Example

This example sets multiple grants which allow read and list permissions for a role with the ID `r_1234567890`:

```shell-session
$ boundary roles set-grants -id r_1234567890 -grant "ids=*;type=*;actions=read" -grant
    "ids=*;type=*;actions=list"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary roles set-grants [options] [args]
```

</CodeBlockConfig>

### Command options

- `-grant=<string>` - The grants you want to set on the role.
You can specify grants in compact string format or JSON.
If you use JSON, be sure to escape it properly.
You can optionally specify multiple grants.
- `-ids=<string>` - The IDs of the roles you want to set grants on.
You can specify one or more IDs.
If you specify multiple IDs using text, use commas to separate the IDs.
If you specify multiple IDs using JSON, use an array.
- `-version=<int>` The version of the role to set grants on.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'